export declare class ScreenshotException extends Error {
    id: ScreenshotExceptionName;
}
export declare class ScreenshotMismatchException extends ScreenshotException {
    id: ScreenshotExceptionName;
    constructor(screenshotName: string);
}
export declare class ScreenshotNoBaselineException extends ScreenshotException {
    id: ScreenshotExceptionName;
    constructor(screenshotName: string);
}
export declare class ScreenshotSizeDifferenceException extends ScreenshotException {
    id: ScreenshotExceptionName;
    constructor(screenshotName: string);
}
export declare class NoDriverSessionException extends Error {
    constructor();
}
export declare enum ScreenshotExceptionName {
    MISMATCH = "MISMATCH",
    NO_BASELINE = "NO_BASELINE",
    SIZE_DIFFERENCE = "SIZE_DIFFERENCE"
}
